/*
Theme Name: Shoptimizer Child Theme
Theme URI: 
Description: Child theme of Shoptimizer
Author: CommerceGurus
Author URI: 
Template: shoptimizer
Version: 1.3.104
License:        	GNU General Public License v2 or later
License URI:     	http://www.gnu.org/licenses/gpl-2.0.html
*/
.form-row label{
    font-size: 17px;
}
/* Exemplu de forțare CSS - ajustează selectorii dacă e nevoie */
#billing_state_field {
    float: left;
    width: 48%; /* Sau % dorit */
    margin-right: 4%; /* Spațiu între */
    clear: none;
}
#billing_city_field {
    float: right;
    width: 48%; /* Sau % dorit */
    margin-right: 0;
    clear: none; /* WooCommerce adaugă clear după field, de obicei */
}
/* Asigură curățarea după rând */
#billing_city_field::after {
     content: "";
     display: table;
     clear: both;
}
.elementor-icon-box-title a::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}
.elementor-image-box-title a::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}
.page-id-8386.sticky-d.header-4 .header-4-container {
    position: relative !important; 
    top: auto !important;
    z-index: 10 !important;
  }
section.related.products h2, .custom-product-attributes .attribute-title{
    line-height: normal;
}
.header-widget-region p {
    font-size: 20px;
}
.page-template .header-widget-region,
.home .header-widget-region{
    display: none;
}
#myslider .swiper-slide {
  transition: transform 0.3s ease, opacity 0.3s ease;
  transform: scale(0.75);
}

#myslider .swiper-slide h2{
    visibility: hidden;
 }
#myslider .swiper-slide .button_gama{
    visibility: hidden;
}
body:not(.sticky-atc-open) .product-details-wrapper {
    padding-bottom: 0;
}

#myslider .swiper-slide-active .button_gama{
    visibility: visible;
}
#myslider .swiper-slide-active h2{
   visibility: visible;
}
.button, input[type=button], input[type=reset], input[type=submit],
.cart .single_add_to_cart_button,
ul.products li.product .added_to_cart, ul.products li.product .button{
    border-radius: 0;
}
.elementor-message.elementor-message-success {
    padding: 20px;
    line-height: normal;
    text-align: center;
    background: #e5fbe6;
    border: 2px dotted #4CAF50;
    border-radius: 8px;
}
section.related-wrapper {
    margin-bottom: 90px;
}
.elementor-form input:not(:placeholder-shown)  {
	text-align: center;
	font-weight: bold !important;
}
.elementor-form textarea {
    text-align: center;
}
.elementor-form input{
	text-align: center
}
.footer_box ul.elementor-icon-list-items li:first-child a span {
    color: var(--e-global-color-primary) !important;
    font-weight: 700;
}

.footer_box ul.elementor-icon-list-items li:first-child a:hover span {
    color: #CF9B5B !important;
    font-weight: 700;
}
div#woocommerce_product_categories-1 .widget-title {
    display: none;
}
.product-categories li {
    padding: 5px 0;
}

.product-categories li a {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 700;
    line-height: 32px;
    text-decoration: none !important; 
    transition: color 0.3s ease;
}
body.single-product:has(.woocommerce-breadcrumb) .site-main {
    background-color: #fff;
}
.product-categories li:hover a,
.product-categories li.current-cat a {
    color: #BB925F;
}

.product-categories li.current-cat {
    border-top: 1px solid #BB925F;
    border-bottom: 1px solid #BB925F;
}
.shoptimizer-sorting:not(.sorting-end) {
    display: none;
}

.widget .widget-title, .widget .widgettitle {
    border-bottom: 1px solid #000000;
    padding: 5px 0;
}
.site-content .widget li, .widget li {
    font-size: 16px;
    line-height: 2;
}
.widget_layered_nav ul li:before {
    top: 50%;
    transform: translateY(-50%);
    margin-top: 0;
    width: 12px;
    height: 12px;
}

.widget_layered_nav ul li a:hover {
    text-decoration: none !important;
    font-weight: 700;
}
#secondary .widget{
    border-bottom: 0;
}
.woocommerce-product-details__short-description {
    font-size: 17px;
}
.post-type-archive nav.woocommerce-breadcrumb,
.tax-product_cat nav.woocommerce-breadcrumb {
    display: none;
}
ul.products li.product .price {
    color: #BB925F;
    font-weight: 700;
    font-size: clamp(1rem, .623rem + 1.4065vw, 1.375rem) !important;
}
.product-widget fieldset legend, .product-widget p, .product-widget ul li,
.cart_totals .shop_table,
table.cart td {
    font-size: clamp(1rem, 0.9rem + 0.5vw, 1.25rem) !important;
}
.woocommerce-checkout-review-order-table tr.order-total td, .woocommerce-checkout-review-order-table tr.order-total th{
    font-size: clamp(1rem, .623rem + 1.4065vw, 1.375rem) !important;
}
ul.products li.product .added_to_cart, ul.products li.product .button{
    font-size: clamp(1rem, .523rem + 1.0065vw, 1.075rem) !important;
    text-transform: uppercase;
}
.single-product .product p.price{
    font-weight: 700;
}
.product-widget ul li:before {
    position: absolute;
    left: -22px;
    content: "";
    display: block;
    width: 17px;
    height: 17px;
    line-height: 1.2;
    background: #333;
}
.product-widget ul li{
    line-height: 1.2 !important;
}
.shoptimizer-mini-cart-wrap .product_list_widget li .quantity {
    font-size: 17px;
}
.shoptimizer-mini-cart-wrap .widget_shopping_cart li.mini_cart_item {
    font-size: 16px;
}
.widget_shopping_cart p.total {
    font-size: 19px;
}
.shoptimizer-cart a.cart-contents .shoptimizer-cart-icon .mini-count{
    font-size: 13px;
    line-height: 16px;
}
.shoptimizer-plp-image-wrapper {
  background-color: #F9FAFC;
  position: relative;
  z-index: 1; /* se asigură că imaginea produsului stă deasupra */
}

.shoptimizer-plp-image-wrapper::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url('/new/wp-content/uploads/2025/04/Vitraliu-1-1-1.webp');
  background-size: contain;
  background-position: center;
  opacity: 0;
  transition: opacity 0.4s ease;
  z-index: 0; /* fundalul stă sub imagine */
  background-position: center;
  background-repeat: no-repeat;
}

/* Afișăm imaginea vitraliu doar la hover pe produs */
li.product:hover .shoptimizer-plp-image-wrapper::before {
  opacity: 1;
}

/* Asigură-te că imaginea produsului e vizibilă deasupra */
.shoptimizer-plp-image-wrapper img {
  position: relative;
  z-index: 2;
}
.custom-product-attributes {
    background: #F9FAFC;
    padding: 60px 20px;
    text-align: center;
  }
  section.related.products h2,
  .custom-product-attributes .attribute-title {
    font-size: 3rem;
    margin-bottom: 40px;
    text-align: center;
  }
  
  .attribute-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
  }
  
  .attribute-item {
    display: flex;
    flex-direction: column;
    min-width: 120px;
  }
  
  .attribute-item .label {
    color: #555;
    font-size: 0.875rem;
  }
  
  .attribute-item .value {
    font-weight: 700;
    font-size: 1.125rem;
    margin-top: 5px;
  }
  
.product-accordion {
    background-color: #f2f3f4;
    text-align: center;
}

.accordion-toggle {
    display: flex;
    justify-content: center;
    align-content: center;
    gap: 10px;
    background: none;
    border: none;
    font-size: 1.55rem;
    font-weight: 400;
    padding: 20px;
    width: 100%;
    cursor: pointer;
    position: relative;
    color: #222;
}

.accordion-toggle .arrow {
    margin-left: 8px;
    transition: transform 0.3s ease;
}

.accordion-toggle.active .arrow {
    transform: rotate(180deg);
}

.accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
    padding: 0 20px;
}

.accordion-content.open {
    max-width: 1200px;
    max-height: max-content;
    padding: 20px;
    text-align: left;
    margin: auto;
}
.product p.stock.out-of-stock {
    background-color: #ff000017;
    padding: 25px;
    font-size: 25px;
    border-radius: 8px;
    border: 2px dotted;
}

.gama-vin {
    font-family: 'Alegreya Sans';
    font-style: normal;
    font-weight: 700;
    color: #BB925F;
}
.halfitems .swiper-slide.swiper-slide-next {
    opacity: 0.5
}
.halfitems .swiper-slide.swiper-slide-prev {
    opacity: 0.5
}
.halfitems .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal {
    width: 50%;
    display: flex;
}
.halfitems .swiper-pagination.swiper-pagination-clickable.swiper-pagination-bullets.swiper-pagination-horizontal span {
    margin: 0;
    width: 100%;
    border-radius: 0;
}
.halfitems .e-n-carousel.swiper.swiper-initialized.swiper-horizontal.swiper-pointer-events.swiper-backface-hidden {
    margin: 0;
    width: 100%;
}

#billing_person_type_field .woocommerce-input-wrapper label {
    margin-bottom: 0;
}
.cg-checkout-table-product-name {
    font-size: 16px;
}
.woocommerce-checkout-review-order-table .product-quantity {
    font-weight: 400;
    color: #777;
    font-size: 16px;
}
.woocommerce-checkout-review-order-table tbody td{
    font-size: 20px;
}
@media (min-width: 993px) {
    #myslider .swiper-slide .button_gama{
        height: 50px;
    }
    .button_gama .elementor-widget-container {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    #myslider .e-n-carousel.swiper.offset-both.swiper-initialized.swiper-horizontal.swiper-pointer-events {
        padding-bottom: 90px;
    }
    .accordion-toggle .arrow {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .gama-vin {
        font-size: 24px;
    }
    .woocommerce-product-details__short-description {
        margin: 40px 0;
    }
    .pdp-g-regular .product .summary {
        margin-top: 100px;
    }
    .widget.woocommerce li .count{
        margin-right: 20px;
    }
    .shoptimizer-archive ul.products.columns-3 {
        padding-top: 50px;
    }
    #secondary {
        padding-top: 50px;
        position: relative;
        z-index: 1;
        /* optional: height: 100vh; dacă vrei ca și conținutul să ocupe întreaga înălțime */
    }
    
    #secondary::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 100vw;
        height: 100%;
        background-color: #F9FAFC;
        z-index: -1;
    }
    .widget_product_categories {
        padding-right: 0;
    }
    button.search-trigger{
        display: none;
    }
    .header-4 .header-4-container .main-header.col-full {
            margin-top: 35px;
    }
    .menu-primary-menu-container>ul>li:first-child>a {
         padding-left: 1.55em;
    }
    .menu-primary-menu-container>ul>li>a {
        padding-right: 1.55em;
        padding-left: 1.55em;
    }
    .header-4:not(.full-width-header) .header-4-inner{
        position: relative;
    }
    li#nav-menu-item-7339 {
        position: absolute;
        right: 0;
    }
    .menu-primary-menu-container>ul>li.menu-button>a span{
        /* Action */
        background: #BB925F;
        height: 51px;
        border-radius: 0;
        color: #fff;
        font-size: 16px;
        font-weight: 700;
        transition: .2s background;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 166px;
    }
    
    .menu-primary-menu-container>ul>li.menu-button>a:hover span{
        background: #2B3931; 
    }
    ul#menu-primary-menu {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    /* Ascunde butonul peste tot */
    .site-header-cart,
    .below-content{
        display: none !important;
    }
    
     /* Afișează DOAR pe paginile WooCommerce dorite */
    body.woocommerce-shop .col-full-nav .below-content,
    body.woocommerce-cart .col-full-nav .below-content,
    body.woocommerce-checkout .col-full-nav .below-content,
    body.single-product .col-full-nav .below-content,
    body.tax-product_cat .col-full-nav .below-content,
    body.woocommerce-shop .col-full-nav .site-header-cart,
    body.woocommerce-cart .col-full-nav .site-header-cart,
    body.woocommerce-checkout .col-full-nav .site-header-cart,
    body.single-product .col-full-nav .site-header-cart,
    body.tax-product_cat .col-full-nav .site-header-cart {
        display: block !important;
    }
  
    /* Ascunde butonul .menu-button DOAR pe paginile WooCommerce specifice */
    
    body.woocommerce-shop .menu-button,
    body.woocommerce-cart .menu-button,
    body.woocommerce-checkout .menu-button,
    body.single-product .menu-button,
    body.tax-product_cat .menu-button
    {
        display: none !important;
    }
    
    #myslider .swiper-slide-active {
      transform: scale(1.1) !important;
      opacity: 1;
    }
    .max_bg_height {
        max-height: 400px;
    }
    
    .event_box{
        position: absolute
    }
    .home .e-n-tabs button {
        padding-left: 0 !important;
    }
    .header-widget-region p {
        font-size: 19px !important;
    }
     body.woocommerce-shop nav.woocommerce-breadcrumb,
     body.tax-product_cat nav.woocommerce-breadcrumb {
        margin-bottom: 15px;
    }
    #billing_person_type_field .woocommerce-input-wrapper {
        display: flex ;
        gap: 20px;
        /* justify-content: center; */
        align-items: center;
    }
}
@media (max-width: 785px){
    .button_gama .elementor-widget-container {
        display: flex;
        justify-content: center;
        align-items: center;
    }
    #billing_person_type_field .woocommerce-input-wrapper {
        display: flex;
        gap: 5px;
    }
    .gama-vin {
        font-size: 15px;
    }
    .summary h1.entry-title{
        line-height: normal;
    }
    .header-4 .header-4-container .main-header.col-full img {
        margin-top: 35px;
    }
    
    #myslider .swiper-slide-active {
      transform: scale(1) !important;
      opacity: 1;
    }
    .bg_mobile {
        background-color: var(--e-global-color-primary);
    }
    .price_box .e-con-inner {
        flex-wrap: nowrap;
    }

    .price_box .e-con-inner {
        flex-wrap: nowrap;
        overflow-x: auto;
        white-space: nowrap;
        width: 100%;
        -webkit-overflow-scrolling: touch;
        scroll-snap-type: x mandatory;
        scroll-snap-align: center;
    }

    .price_box .e-con-inner > * {
        display: inline-block;
        /* Sau inline-flex; */
        white-space: normal;
        scroll-snap-align: center;
        scroll-snap-stop: always; }

    .price_box .e-con-inner > .elementor-element {
        flex: 0 0 auto;
        width: 70%;
        margin-right: 10px;
    }
    .halfitems .e-n-carousel.swiper.swiper-initialized.swiper-horizontal {
        width: 100% !important;
        margin: 0;
    }
    .mobile-extra a {
        font-size: 20px;
    }
    nav#site-navigation li a {
        font-size: 20px;
    }
    .mobile_bg {
        background: #F9FAFC;
        background: linear-gradient(180deg, rgba(249, 250, 252, 0.13) 1%, rgba(249, 250, 252, 0.59) 4%, rgba(249, 250, 252, 1) 100%);
    }
    .mobile-filter{
        font-size: 17px;
        width: 110%;
    }
}


/* Container Badge-uri - Poziționare Arhivă */
body:not(.single-product) .product-awards-badges-attr.vertical-badges {
  position: absolute; top: .475em; right: .475em; left: auto; bottom: auto;
  z-index: 2; display: flex; flex-direction: column; align-items: flex-end;
  width: auto; pointer-events: none;
}

body.single-product .product-awards-badges-attr.vertical-badges .award-badge-more,
body.single-product .product-awards-badges-attr.vertical-badges .award-badge-attr img{
    font-size: 20px;
    width: 80px;
    height: 80px;
}

.single-product .product-awards-badges-attr.vertical-badges {
    position: absolute;
    top: .875em;
    right: .875em;
    left: auto;
    bottom: auto;
    z-index: 4;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 0;
    width: auto;
    pointer-events: none;
}

.product-awards-badges-attr.vertical-badges .award-badge-attr {
    position: relative;
    margin-bottom: -12px;
    z-index: 1;
    transition: margin-bottom 0.2s ease-in-out, transform 0.2s ease-in-out;
    pointer-events: auto;
}

.product-awards-badges-attr.vertical-badges .award-badge-attr:hover {
    margin-bottom: 0;
    z-index: 5;
    transform: scale(1.05);
}

.product-awards-badges-attr.vertical-badges .award-badge-attr:last-child {
    margin-bottom: 0;
}

body:not(.single-product) .product-awards-badges-attr.vertical-badges .award-badge-more,
body:not(.single-product) .product-awards-badges-attr.vertical-badges .award-badge-attr img{
    width: 50px;
    height: 50px;
    font-size: 12px;
}


.product-awards-badges-attr.vertical-badges .award-badge-attr img {
    display: block;
    object-fit: contain;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0 1px 3px rgba(0,0,0,0.3);
}

.product-awards-badges-attr.vertical-badges .award-badge-more {

    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: #e0e0e0;
    color: #333;
    font-weight: bold;
    text-align: center;
    line-height: 1.1;
    padding: 2px;
    box-sizing: border-box;
    box-shadow: 0 1px 3px rgba(0,0,0,0.3);
    z-index: 1;
}

.product-awards-badges-attr.vertical-badges .award-badge-more:hover {
    transform: none;
}

span.sale-item.product-label.type-bubble {
    z-index: 2;
}

.product-awards-badges-attr.vertical-badges .award-badge-attr.hidden-award-badge {
display: none;
}

.product-awards-badges-attr.vertical-badges .award-badge-more {
    cursor: pointer;
    pointer-events: auto;
}

.product-awards-badges-attr.vertical-badges.all-badges-shown .award-badge-more {
display: none;
}

.product-awards-badges-attr.vertical-badges.all-badges-shown .award-badge-attr {
margin-bottom: 5px;
}

.product-awards-badges-attr.vertical-badges.all-badges-shown .award-badge-attr:last-of-type {
    margin-bottom: 0; 
}

.product-awards-badges-attr.vertical-badges.all-badges-shown .award-badge-attr:hover {
    margin-bottom: 5px;
    transform: scale(1.05);
    z-index: 1; 
}

.single-product .woocommerce-product-gallery .woocommerce-product-gallery__trigger {
    top: auto; 
    right: auto;
    bottom: .875em;
    left: .875em; 
}

.shoptimizer-sticky-add-to-cart__content-title{
    font-size: 19px;
}

.shoptimizer-sticky-add-to-cart__content-button span.shoptimizer-sticky-add-to-cart__content-price {
    font-size: 22px;
}